Bug 972413 - txz-out command produces a bzip2-compressed file (should be xz-compressed)
Summary: txz-out command produces a bzip2-compressed file (should be xz-compressed)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
(Show other bugs)
Version: 6.5
Hardware: Unspecified Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: Regression
Depends On: 972775
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-09 08:39 UTC by bfan
Modified: 2013-11-21 04:44 UTC (History)
2 users (show)

Fixed In Version: libguestfs-1.20.8-5.el6
Doc Type: Bug Fix
Doc Text:
(This bug was not in a released version of libguestfs so does not need documenting)
Story Points: ---
Clone Of:
: 972775 972776 (view as bug list)
Environment:
Last Closed: 2013-11-21 04:44:42 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1536 normal SHIPPED_LIVE Moderate: libguestfs security, bug fix, and enhancement update 2013-11-21 00:40:55 UTC

Description bfan 2013-06-09 08:39:20 UTC
Description of problem:
txz-in unpack the tarball,which is packed by txz-out, failed.
though it is marked as "deprecated" in its help output, it is still provided.  


Version-Release number of selected component (if applicable):
libguestfs-1.20.8-4.el6.x86_64

How reproducible:
100%


Steps to Reproduce:
# guestfish -N fs -m /dev/sda1

Welcome to guestfish, the guest filesystem shell for
editing virtual machine filesystems and disk images.

Type: 'help' for help on commands
      'man' to read the manual
      'quit' to quit the shell

><fs> mkdir /test
><fs> touch /test/1.txt
><fs> txz-out /test test.txz.out
><fs> !ls -l test.txz.out
-rw-r--r--. 1 root root 136 Jun  9 13:59 test.txz.out
><fs> mkdir /new
><fs> txz-in test.txz.out /new
libguestfs: error: txz_in: tar subcommand failed on directory: /new: xz: (stdin): File format not recognized
tar: Child returned status 1
tar: Error is not recoverable: exiting now
><fs>


Actual results:
txz_in failed

Expected results:
txz_in unpack tarball well

Additional info:
It works in libguestfs-1.16.34-2.el6.x86_64, regression

Comment 2 Richard W.M. Jones 2013-06-10 14:55:56 UTC
Simple reproducer:

$ guestfish -N fs -m /dev/sda1 mkdir /test : touch /test/1.txt : txz-out /test test.txz
$ file test.txz
test.txz.out: bzip2 compressed data, block size = 900k

(Note that the type of 'test.txz' should not be bzip2-compressed.
It should be xz-compressed)

This bug also occurs upstream, so I'm cloning this for upstream.

Comment 4 bfan 2013-06-17 03:20:42 UTC
Verified with libguestfs-1.20.8-5.el6.x86_64

# guestfish -N fs -m /dev/sda1

Welcome to guestfish, the libguestfs filesystem interactive shell for
editing virtual machine filesystems.

Type: 'help' for help on commands
      'man' to read the manual
      'quit' to quit the shell

><fs> mkdir /test
><fs> touch /test/1.txt
><fs> txz-out /test test.txz.out
><fs> !ls -l test.txz.out
-rw-r--r--. 1 root root 184 Jun 17 19:18 test.txz.out
><fs> mkdir /new
><fs> txz-in test.txz.out /new
><fs> ll /new
total 2
drwxr-xr-x 2 root root 1024 Jun 17 19:18 .
drwxr-xr-x 5 root root 1024 Jun 17 19:18 ..
-rw-r--r-- 1 root root    0 Jun 17 19:18 1.txt

><fs> 

Works well, so change the status to verified

Comment 5 bfan 2013-10-29 08:34:00 UTC
Re-verified with libguestfs-1.20.11-2.el6.x86_64

[root@dhcp-9-42 home]# guestfish -N fs -m /dev/sda1

Welcome to guestfish, the libguestfs filesystem interactive shell for
editing virtual machine filesystems.

Type: 'help' for help on commands
      'man' to read the manual
      'quit' to quit the shell

><fs> mkdir /test
><fs> touch /test/1.txt
><fs> txz-out /test test.txz.out
><fs> !ls -l test.txz.out
-rw-r--r--. 1 root root 184 Oct 29 16:31 test.txz.out
><fs> mkdir /new
><fs>  txz-in test.txz.out /new
><fs> ll /new
total 2
drwxr-xr-x 2 root root 1024 Oct 29 16:31 .
drwxr-xr-x 5 root root 1024 Oct 29 16:31 ..
-rw-r--r-- 1 root root    0 Oct 29 16:31 1.txt

><fs>

Comment 7 errata-xmlrpc 2013-11-21 04:44:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1536.html


Note You need to log in before you can comment on or make changes to this bug.